name: api

environment:
  sdk: ">=2.19.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  dio: ^5.1.2
  equatable: ^2.0.5
  json_annotation: ^4.8.1
  uuid: ^3.0.7
  connectivity_plus: ^4.0.1
  internet_connection_checker_plus: ^1.0.1

  component_library:
    path: ../component_library

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.1
  build_runner: ^2.4.4
  json_serializable: ^6.7.0
